

h1 {
    text-align: center;
    margin-bottom: 25px;
}

.filter {
    text-align: center;
    margin-bottom: 30px;
}

select {
    padding: 12px 16px;
    border-radius: 12px;
    border: 1px solid #ccc;

}

.chauffeurs-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(240px, 1fr));
    gap: 22px;
}

.chauffeur-card {
    background: #111111;
    border-radius: 18px; 
    text-align: center;
    transition: transform 0.2s ease;
    border: 1px solid #222;
    color: #ccc;
}

.chauffeur-content {
    padding: 18px;
}

.chauffeur-card:hover {
    transform: translateY(-5px);
}

.chauffeur-card img {
    width: 100px;
    height: 100px;
 /*   border-radius: 50%;*/
    object-fit: cover;
    margin-bottom: 12px;
}

.chauffeur-card h3 {
    margin: 6px 0;
    font-size: 18px;
    color: #d4af37;
}

.chauffeur-card p {
    margin: 4px 0;
    color: #ccc;
    text-align: left;
}

.email {
    font-size: 13px;
    color: #ccc;
}

.empty {
    text-align: center;
    grid-column: 1 / -1;
    color: #777;
}

.chauffeur-slider{
    position: relative;
    width: 100%;
    aspect-ratio: 1 / 1; /* carré */
    overflow: hidden;
    border-top-right-radius: 12px;
    border-top-left-radius: 12px;
}

.chauffeur-slider img{
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover; /* remplit sans déformer */
    top: 0;
    left: 0;
    opacity: 0;
    transition: opacity .8s ease;
}

.chauffeur-slider img.active{
    opacity: 1;
}



